/******************************************/
/*                                        */
/* Code Copyright (C) Terry Richards 1992 */
/*                                        */
/* FREE for personal use only. Commercial */
/* use forbidden without my express       */
/* written permission.                    */
/*                                        */
/******************************************/

#include <owl.h>
#include "bigedit.h"

class TMyApp : public TApplication{

public:

  	TMyApp(LPSTR AName,HINSTANCE hInstance,HINSTANCE hPrevInstance,LPSTR lpCmdLine,int nCmdShow):TApplication(AName,hInstance,hPrevInstance,lpCmdLine,nCmdShow){};

  	virtual void InitMainWindow();

};

class TMyWindow : public TBFileWindow{

public:

	TMyWindow(PTWindowsObject AParent, LPSTR ATitle);

};

TMyWindow::TMyWindow(PTWindowsObject AParent, LPSTR ATitle):TBFileWindow(AParent, ATitle){

  	AssignMenu("FileCommands");

}

void TMyApp::InitMainWindow(){

	MainWindow = new TMyWindow(NULL,Name);

}

int PASCAL WinMain(HINSTANCE hInstance,HINSTANCE hPrevInstance,LPSTR lpCmdLine,int nCmdShow){

	TMyApp MyApp("Test Editor",hInstance,hPrevInstance,lpCmdLine,nCmdShow);

	MyApp.Run();

  	return MyApp.Status;

}